<?php

namespace Drupal\search_api_tracking;

interface SearchApiStorageInterface {

  /**
   * Saves the tracking to your storage of liking.
   *
   * @param String $keywords The Search Keywords
   * @param String $type Type of search like autocomplete, empty, submit, did_you_mean
   * @param String $numberOfResults Number of results for this search
   * @param String $sortBy Sort By relevance or date or ....
   * @param String $sortOrder Sort order
   *
   * @return boolean True on save success, FALSE on error.
   */
  public function saveTracking(string $keywords, string $type, string $numberOfResults, string $sortBy, string $sortOrder);

}
